package nullfree.linkedlist;

public interface Node<T> {
	boolean hasNext();
	boolean hasPrev();
	Node<T> getNext();
	Node<T> getPrev();
	T getValue();
	void setValue(T value);
	Node<T> insertValue(T value, HeadAndTail<T> ref);
	void remove(HeadAndTail<T> ref);
}
